package com.brilliance.isc.vo.manager;

import com.brilliance.isc.model.BaseEntity;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;

import java.util.Date;

@JsonIgnoreProperties(ignoreUnknown = true)
public class SmhVo extends BaseEntity {
    private static final long serialVersionUID = 775881722415163437L;

    private String inr;

    private String objtyp;

    private String objinr;

    private String trntyp;

    private String trninr;

    private String trnsub;

    private String extkey;

    private String nam;

    private String creusr;

    private String crefrm;

    private String credattim;

    private String dir;

    private String docpth;

    private String docfil;

    private String docfxt;

    private String docmac;

    private String msgpos;

    private String msglen;

    private String grpinr;

    private String grpseq;

    private String cortyp;

    private String cortypsub;

    private String apf;

    private String sndkey;

    private String apfcnt;

    private String ptainr;

    private String oriflg;

    private String orismhinr;

    private String partflg;

    private String msgtyp;

    private String relcur;

    private String relamt;

    private String sysno;

    private String staflg;

    private Date clndat;

    private String f20;

    private String stp;

    private String etyextkey;

    private String chlflg;


    public String getInr() {
        return inr;
    }

    public void setInr(String inr) {
        this.inr = inr;
    }

    public String getObjtyp() {
        return objtyp;
    }

    public void setObjtyp(String objtyp) {
        this.objtyp = objtyp;
    }

    public String getObjinr() {
        return objinr;
    }

    public void setObjinr(String objinr) {
        this.objinr = objinr;
    }

    public String getTrntyp() {
        return trntyp;
    }

    public void setTrntyp(String trntyp) {
        this.trntyp = trntyp;
    }

    public String getTrninr() {
        return trninr;
    }

    public void setTrninr(String trninr) {
        this.trninr = trninr;
    }

    public String getTrnsub() {
        return trnsub;
    }

    public void setTrnsub(String trnsub) {
        this.trnsub = trnsub;
    }

    public String getExtkey() {
        return extkey;
    }

    public void setExtkey(String extkey) {
        this.extkey = extkey;
    }

    public String getNam() {
        return nam;
    }

    public void setNam(String nam) {
        this.nam = nam;
    }

    public String getCreusr() {
        return creusr;
    }

    public void setCreusr(String creusr) {
        this.creusr = creusr;
    }

    public String getCrefrm() {
        return crefrm;
    }

    public void setCrefrm(String crefrm) {
        this.crefrm = crefrm;
    }

    public String getCredattim() {
        return credattim;
    }

    public void setCredattim(String credattim) {
        this.credattim = credattim;
    }

    public String getDir() {
        return dir;
    }

    public void setDir(String dir) {
        this.dir = dir;
    }

    public String getDocpth() {
        return docpth;
    }

    public void setDocpth(String docpth) {
        this.docpth = docpth;
    }

    public String getDocfil() {
        return docfil;
    }

    public void setDocfil(String docfil) {
        this.docfil = docfil;
    }

    public String getDocfxt() {
        return docfxt;
    }

    public void setDocfxt(String docfxt) {
        this.docfxt = docfxt;
    }

    public String getDocmac() {
        return docmac;
    }

    public void setDocmac(String docmac) {
        this.docmac = docmac;
    }

    public String getMsgpos() {
        return msgpos;
    }

    public void setMsgpos(String msgpos) {
        this.msgpos = msgpos;
    }

    public String getMsglen() {
        return msglen;
    }

    public void setMsglen(String msglen) {
        this.msglen = msglen;
    }

    public String getGrpinr() {
        return grpinr;
    }

    public void setGrpinr(String grpinr) {
        this.grpinr = grpinr;
    }

    public String getGrpseq() {
        return grpseq;
    }

    public void setGrpseq(String grpseq) {
        this.grpseq = grpseq;
    }

    public String getCortyp() {
        return cortyp;
    }

    public void setCortyp(String cortyp) {
        this.cortyp = cortyp;
    }

    public String getCortypsub() {
        return cortypsub;
    }

    public void setCortypsub(String cortypsub) {
        this.cortypsub = cortypsub;
    }

    public String getApf() {
        return apf;
    }

    public void setApf(String apf) {
        this.apf = apf;
    }

    public String getSndkey() {
        return sndkey;
    }

    public void setSndkey(String sndkey) {
        this.sndkey = sndkey;
    }

    public String getApfcnt() {
        return apfcnt;
    }

    public void setApfcnt(String apfcnt) {
        this.apfcnt = apfcnt;
    }

    public String getPtainr() {
        return ptainr;
    }

    public void setPtainr(String ptainr) {
        this.ptainr = ptainr;
    }

    public String getOriflg() {
        return oriflg;
    }

    public void setOriflg(String oriflg) {
        this.oriflg = oriflg;
    }

    public String getOrismhinr() {
        return orismhinr;
    }

    public void setOrismhinr(String orismhinr) {
        this.orismhinr = orismhinr;
    }

    public String getPartflg() {
        return partflg;
    }

    public void setPartflg(String partflg) {
        this.partflg = partflg;
    }

    public String getMsgtyp() {
        return msgtyp;
    }

    public void setMsgtyp(String msgtyp) {
        this.msgtyp = msgtyp;
    }

    public String getRelcur() {
        return relcur;
    }

    public void setRelcur(String relcur) {
        this.relcur = relcur;
    }

    public String getRelamt() {
        return relamt;
    }

    public void setRelamt(String relamt) {
        this.relamt = relamt;
    }

    public String getSysno() {
        return sysno;
    }

    public void setSysno(String sysno) {
        this.sysno = sysno;
    }

    public String getStaflg() {
        return staflg;
    }

    public void setStaflg(String staflg) {
        this.staflg = staflg;
    }

    public Date getClndat() {
        return clndat;
    }

    public void setClndat(Date clndat) {
        this.clndat = clndat;
    }

    public String getF20() {
        return f20;
    }

    public void setF20(String f20) {
        this.f20 = f20;
    }

    public String getStp() {
        return stp;
    }

    public void setStp(String stp) {
        this.stp = stp;
    }

    public String getEtyextkey() {
        return etyextkey;
    }

    public void setEtyextkey(String etyextkey) {
        this.etyextkey = etyextkey;
    }

    public String getChlflg() {
        return chlflg;
    }

    public void setChlflg(String chlflg) {
        this.chlflg = chlflg;
    }
}
